/* Div = by default block display
   Span = default inline display	
   Img = default inline block  

 */   

#div-1 {
	background-color: green;
	
}
#div-2 {
	background-color: hotpink;
}
#span-1 {
	background-color: purple;
}
#span-2 {
	background-color: red;
}
#img {
	width: 250px;
	heiht: 250px;
}
#p-1 {
	background-color: #87CEFA;
}

#p-2 {
	background-color: rgb(255,105,180);
}
#p-3 {
	background-color: yellow;
	width: 40%;
}
.sample {
	display: inline-block;
	width: 30%;
	border: 1px solid brown ;
	text-align: center;
}
.img-float {
	width: 250px;
	height: 250px;
	float: inherit; /* Inherit = to default */
}
.box {
	background-color: red;
	border: 1px solid black;
	margin: 5px;
}
.fifty-percent {
	width: 50%;
}
.one-hundred-pixels {
	width: 100px;
}
.parent {
	width: 135px;
	border: 2px solid navy;
}
.background {
	min-height: 15rem;
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);;
	background-repeat: no-repeat;
	background-size: 100%;
	background-position: center;
	background-attachment: fixed;
}
.bg-title {
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 10rem;
}
.container-dg {
	background-color: rgba(0, 0, 0, 0.8);
	min-height: 70vh;
}

.parent-element {
	background-color: skyblue;
	padding: 10px;
}

.child-1 {
	background-color: gray;
	padding: 10px;
}
.child-2 {
	background-color: yellow;
	padding: 10px;
	position: relative;
	top: 0;
}
.child-3 {
	background-color: gray;
	padding: 10px;
}

.container {
	position: relative;
}
.black-box {
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height:  100px;
	margin: 30px;
	background-color: black;
	color: white;
	bottom: -50px;
}
.gray-box {
	position: relative;
	z-index: 2;
	border: 2px solid black;
	height:  100px;
	margin: 30px;
	background-color: gray;
	left: 20px;

}
